{pkgs, ...}: let
  gitPackage = pkgs.gitAndTools.gitFull;
in {
  programs.git = {
    enable = true;
    lfs.enable = true;
    package = gitPackage;
    userName = "chaos";
    userEmail = "chaos@owo.monster";
    extraConfig = {credential.helper = "store";};
  };

  home.packages = [
    (pkgs.runCommand "git-extras" {} (let
      gitLibExec = "${gitPackage}/libexec/git-core";
    in ''
      mkdir -p $out/bin
      ln -s ${gitLibExec}/git-diff $out/bin/git-diff
    ''))
  ];
}
