{
  lib,
  config,
  ...
}: let
  ports = import ../data/ports.nix;
  inherit (config.services.secrets) secrets;

  inherit (lib.modules) mkForce;
in {
  services.slskd = {
    enable = true;
    openFirewall = true;
    environmentFile = secrets.slskd_env.path;
    settings = {
      remote_configuration = false;
      remote_file_management = true;
      soulseek = {
        username = "chaoticryptidz";
        description = "chaos's soulseek";
        listen_port = ports.slskd;
      };
      web = {
        port = ports.slskd-web;
        authentication = {
          username = "chaos";
        };
      };
      shares.directories = [
        "/Music"
      ];
    };
    nginx = {
      enable = true; # I don't think this is even cheked
      domainName = "soulseek.owo.monster";
    };
  };

  services.nginx.virtualHosts."soulseek.owo.monster" = {
    forceSSL = mkForce false;
    enableACME = mkForce false;
  };
}
