{tree, ...}: {
  imports = with tree; [
    users.root
    users.chaos
    profiles.sshd

    presets.nixos.desktopGnome
    presets.nixos.laptop
    presets.nixos.encryptedUSB

    profiles.cross.arm64
    profiles.remoteBuilders
    profiles.chaosInternalWireGuard

    profiles.gaming.steam

    hosts.lappy-t495.profiles.restic

    ./secrets.nix
  ];

  home-manager.users.root = {
    imports = with tree; [home.base];
    home.stateVersion = "23.05";
  };

  home-manager.users.chaos = {
    imports = with tree; [
      home.base
      home.dev.all
      home.reversing
      home.homeFolders
      home.musicLibrary

      home.programming.editors.nano
      home.programming.editors.vscode
      home.programming.languages.rust
      home.programming.languages.nix

      home.gaming.platforms.steam
    ];
    home.stateVersion = "23.05";
  };

  networking.firewall.enable = true;
  networking.firewall.allowPing = true;

  networking.firewall.allowedTCPPorts = [8088];

  networking.hostName = "lappy-t495";
  time.timeZone = "Europe/London";

  system.stateVersion = "23.05";
}
