{
  config,
  tree,
  modulesPath,
  lib,
  ...
}: let
  inherit (lib.modules) mkForce;
in {
  imports = with tree; [
    (modulesPath + "/installer/cd-dvd/installation-cd-graphical-gnome.nix")
    (modulesPath + "/installer/cd-dvd/channel.nix")

    users.root
    profiles.base
    profiles.sshd
    profiles.connectivity.iOS
    profiles.connectivity.networkManager
  ];

  # disable zfs
  nixpkgs.overlays = [
    (_final: super: {
      zfs = super.zfs.overrideAttrs (_: {
        meta.platforms = [];
      });
    })
  ];

  networking.wireless.enable = mkForce false;

  nixpkgs.config.allowBroken = true;

  home-manager.users.root = {
    imports = with tree; [home.base home.dev];
  };

  home-manager.users.nixos = {
    imports = with tree; [home.base home.dev];
  };

  isoImage = {
    isoBaseName = "nixos-chaos";
    compressImage = false;
    squashfsCompression = "zstd -Xcompression-level 1";
  };

  services.openssh.settings.PermitRootLogin = mkForce "yes";
}
