{tree, ...}: {
  imports = with tree;
    [
      presets.nixos.serverBase

      profiles.nginx
      profiles.firewallAllow.httpCommon

      profiles.chaosInternalWireGuard

      ./secrets.nix
      ./boot.nix
    ]
    ++ (with hosts.raspberry.profiles; [
      externalDrive
      autoStorageBackups
      rclone
    ]);

  networking.enableIPv6 = true;
  networking.useDHCP = true;

  networking.hostName = "raspberry";
  time.timeZone = "Europe/London";

  home-manager.users.root.home.stateVersion = "23.05";
  system.stateVersion = "23.05";
}
