{
  self,
  pkgs,
  config,
  ...
}: let
  inherit (config.services.secrets) secrets;
  backupSchedules = import "${self}/data/backupSchedules.nix";
in {
  services.restic.backups.vault = {
    user = "root";
    paths = [
      "/var/lib/vault"
      "/var/lib/private/step-ca"
    ];
    timerConfig = backupSchedules.restic.high;

    # env contains fixed repository with auth
    repository = "rest:https://storage-restic.owo.monster/Vault";
    passwordFile = "${secrets.restic_password.path}";
    environmentFile = "${secrets.restic_env.path}";
  };

  environment.systemPackages = [
    (pkgs.writeShellScriptBin "restic-vault" ''
      env \
        RESTIC_PASSWORD_FILE=${secrets.restic_password.path} \
        $(cat ${secrets.restic_env.path}) \
      ${pkgs.restic}/bin/restic $@
    '')
  ];
}
