{tree, ...}: {
  imports = with tree; [
    profiles.laptop

    profiles.connectivity.networkManager
    profiles.connectivity.iOS

    profiles.wifiHardware

    profiles.tor
  ];

  boot.loader.systemd-boot = {
    editor = true;
    memtest86.enable = true;
    netbootxyz.enable = true;
  };

  services.fwupd.enable = true;

  # TODO: Better DNS setup
  services.resolved.enable = false;
  environment.etc."resolv.conf".text = ''
    nameserver 9.9.9.9
    nameserver 208.67.222.222
  '';

  services.fstrim.enable = true;
  systemd.services.NetworkManager-wait-online.enable = false;
}
