{tree, ...}: {
  imports = with tree; [
    profiles.sound.base
    profiles.sound.pipewire
    profiles.gui.base

    profiles.firewallAllow.aria2c
    profiles.firewallAllow.soulseek
    profiles.mullvad
  ];

  home-manager.users.chaos = {
    imports = with tree; [
      home.base
      home.dev.all
      home.homeFolders
      home.sshWSL

      home.programming.editors.vscode
      home.programming.languages.rust
      home.programming.languages.nix

      home.gui.base

      home.apps.fileRoller
      home.apps.mpv

      home.apps.quassel
      home.apps.toot-cli

      home.apps.mullvad
      home.apps.aria2
      home.apps.rclone
      home.apps.restic
    ];
  };

  wsl = {
    enable = true;
    defaultUser = "chaos";
    interop.register = true;
  };
}
