{
  pkgs,
  lib,
  config,
  ...
}: let
  inherit (lib.modules) mkIf;

  networkManagerEnabled = config.networking.networkmanager.enable;
in {
  environment.systemPackages = with pkgs; [
    gnome3.adwaita-icon-theme
    (mkIf networkManagerEnabled pkgs.networkmanagerapplet)
  ];

  programs.nm-applet.enable = networkManagerEnabled;

  programs.dconf.enable = true;

  services.xserver.xkb = {
    layout = "gb";
  };

  fonts = {
    packages = with pkgs; [comic-sans comic-code];
    fontconfig = {
      # For Telegram
      localConf = ''
        <?xml version="1.0"?>
        <!DOCTYPE fontconfig SYSTEM "urn:fontconfig:fonts.dtd">
        <fontconfig>

          <match>
           <test name="family"><string>Open Sans</string></test>
           <edit name="family" mode="assign" binding="strong">
            <string>Comic Sans MS</string>
           </edit>
          </match>
          <match>
           <test name="family"><string>Open Sans Semibold</string></test>
           <edit name="family" mode="assign" binding="strong">
            <string>Comic Sans MS:style=bold</string>
           </edit>
          </match>
        </fontconfig>
      '';
      defaultFonts = {
        serif = ["Comic Sans MS"];
        sansSerif = ["Comic Sans MS"];
        monospace = ["Comic Code"];
      };
    };
  };
}
